4Suite™ API Documentation

# ► Module Ft.Lib.TestSuite.TestModule

Provides the TestModule class for wrapping modules/packages.

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: TestModule |  |  |  | Functions: GetModuleName

## Classes

class TestModule(Ft.Lib.TestSuite.TestObject.TestObject)
  Test object for a module or package.

  ### Methods

  __init__(self, name, module, addModes, skipModes, allModes)
    Overrides: __init__ from class TestObject
  addTest(self, name)
  getModes(self, addModes, skipModes, allModes)
    Overrides: getModes from class TestObject
  getTests(self)
    Get the test objects contained within this module.
    Overrides: getTests from class TestObject
  loadTest(self, name)
  run(self, tester)
    Overrides: run from class TestObject
  runTest(self, tester, testObject)
  showTests(self, indent)
    Overrides: showTests from class TestObject

  ### Methods inherited from class Ft.Lib.TestSuite.TestObject.TestObject

  __str__

  ### Members inherited from class Ft.Lib.TestSuite.TestObject.TestObject

  modes, tests

## Functions

GetModuleName(filename)